<?xml version='1.0' encoding='Shift_JIS'?>
<!--
 ******************************************************************** 
 sticker sample
 
 import : csv file -> remote database 
  
 ******************************************************************** 
-->
<sticker version="0.01" debug="true">
	<debug>Server definition</debug>
	<servers>
		<server name="your-server" driver="driver name"
			url="jdbc url" user="your name"
			pass="password" autocommit="false" />
	</servers>

	<debug>import to server from csv file</debug>
	<connect name="your-server">
		<debug>emp.csv-->employee_table</debug>
		<sql>begin transaction;</sql>
		<sql>delete from employee_table;</sql>

		<import source="/emp.csv" destination="employee_table" fileCharset="UTF8"
			header="true" quot="&#x22;" />
		<sql>commit transaction;</sql>
		
		<shell>echo "import success!" | mail -s import result your@address</shell>
	</connect>
	<debug>import success</debug>

	<!-- exception definition -->
	<exception>
		<shell>echo "import failure!" | mail -s import result your@address</shell>
	</exception>
</sticker>